unit BugColourControl;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls;

type TBugColourControl = class(TGraphicControl)
     private
       fColour: TColor;
     protected
       procedure Click; override;
       procedure Paint; override;
     public
       constructor Create(AOwner: TComponent); override;
       property Colour: TColor read fColour;
     published
     end;

implementation

uses
  BugCommon; // for AnotherColour and ClearRectangle

{ TBugColourControl }

procedure TBugColourControl.Click;
begin
  fColour := AnotherColour;
  Invalidate;
  inherited;
end;

constructor TBugColourControl.Create(AOwner: TComponent);
begin
  inherited;
  fColour := AnotherColour;  // initialises fColour to have something in it
end;

procedure TBugColourControl.Paint;
begin
  inherited;
  ClearRectangle(Self.Canvas, Self.ClientRect, fColour);
end;

end.
